2018-02-21 14:37 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001149FSSCPgameplaypublic2007-02-11 04:55
ReporterCP5670 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001149: hide-jumpnode turns off auto targeting
DescriptionJump nodes hidden by hide-jumpnode still appear on radar and if you try to target them (using the normal cycle target key), the game strangely toggles off auto targeting and gives a "deactivating targeting system" message.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007280

taylor (administrator)

Fixed. Just need to commit.

~0007323

taylor (administrator)

Fixered.

~0007534

CP5670 (reporter)

I'm reopening this since there is still a small issue with it in 3.6.9. If you use the "target previous ship" key with a hidden jumpnode in the area, it seems to target it for an instant before automatically untargeting it. This prevents you from targeting any ships that come before it in the "cycle" of targets. The "target next ship" command works fine, however. Also, the hidden nodes are still showing up on radar.

Not a major problem by any means, but worth bringing up.

~0007535

taylor (administrator)

Hmm, I not only fixed this particular bug, but made it totally skip hidden jumpnodes as invalid targets, specifically to avoid the type of problem that you mention. I guess I must have missed something in the targetting code, but I'll take another look.

~0007614

taylor (administrator)

Ok, I think I've got it all now. The fixes will hit CVS in the next hour or so. Just be sure to check in the next available build and let me know whether I've got it 100% fixed this time.

~0007615

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-11-19 05:59 CP5670 New Issue
2006-12-08 01:56 taylor Note Added: 0007280
2006-12-08 01:56 taylor Assigned To => taylor
2006-12-08 01:56 taylor Status new => assigned
2006-12-26 00:30 taylor Status assigned => resolved
2006-12-26 00:30 taylor Fixed in Version => 3.6.9
2006-12-26 00:30 taylor Resolution open => fixed
2006-12-26 00:30 taylor Note Added: 0007323
2007-01-23 03:50 CP5670 Status resolved => feedback
2007-01-23 03:50 CP5670 Resolution fixed => reopened
2007-01-23 03:50 CP5670 Note Added: 0007534
2007-01-23 11:31 taylor Note Added: 0007535
2007-02-11 04:55 taylor Note Added: 0007614
2007-02-11 04:55 taylor Status feedback => resolved
2007-02-11 04:55 taylor Fixed in Version 3.6.9 => 3.6.10
2007-02-11 04:55 taylor Resolution reopened => fixed
2007-02-11 04:55 taylor Note Added: 0007615
+Issue History